function [M,Noise_max] = Hladina_Detekce(sig_noise)
% HladinaDetekce [NoiseLevel_matice,Noise_max] = HladinaDetekce(sig_noise) 
% sig_noise (MxN) ... Matice sumu v prostredi  
% NoiseLevel_matice (MxN) ... matice hladiny detekce pro kazdy signal
% Noise_max (1x1) ... nejvyssi hodnota sumu v cele matici

%Sleduje maximalni hranici noise signalu

X = length(sig_noise(:,1)); % Pocet vstupnich signalu
M = zeros(X,1); % inicializace matice noise

% urci hranici pro detekci pro kazdy signal

for i = 1:X
M(i,1) = max(sig_noise(i,:));
end

Noise_max  = max(M);

end
